package com.develop.food.base.http


import com.develop.food.base.utils.LogRequestUtil
import okhttp3.Interceptor
import okhttp3.Response

open class BaseInterceptor() : Interceptor {
    override fun intercept(chain: Interceptor.Chain): Response {
        val request = chain.request()
        val response = chain.proceed(request)
        return response
    }
}