package com.develop.food.base.repo.db.dao

import androidx.room.*
import com.develop.food.base.repo.entity.DevVersion

@Dao
interface DevConfigDao {


    @Query("select * from cc_dev_version order by id desc limit 0,1")
    fun recipeVersion():DevVersion

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun saveDevVersion(devVersion: DevVersion)


    @Query("Delete from cc_dev_version")
    fun removeAllDevVersion()

}