package com.develop.food.base.repo.entity

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

/**
 * Portrait
 * 用户头像
 * @author elber
 * @date 2022/6/15 11:51
 * @since 0.0.1
 */
@Entity(tableName = "cc_dev_portrait")
data class DevPortrait(

    @PrimaryKey
    @ColumnInfo
    var code: String,

    /**
     * 编码
     */
    @ColumnInfo
    val number: String?,

    /**
     * 照片code
     */
    @ColumnInfo
    val photo: String?,

    /**
     * 照片路径
     */
    @ColumnInfo(name = "photo_path")
    val photoPath: String?,

    /**
     * 性别
     */
    @ColumnInfo
    val gender: String?,

    @ColumnInfo(name = "update_time")
    val updateTime: Long?,

    @ColumnInfo(name = "create_time")
    val createTime: Long?
)