package com.develop.food.base.repo.entity

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

/**
 * RecipeAccessory
 * 食谱配件
 * @author elber
 * @date 2022/6/16 22:13
 * @since 0.0.1
 */
@Entity(tableName = "cc_dev_recipe_accessory")
data class DevRecipeAccessory(

    @PrimaryKey
    @ColumnInfo
    var code: String,

    /**
     * 食谱编号
     */
    @ColumnInfo(name = "recipe_number")
    val recipeNumber: String?,

    /**
     * 配件编号
     */
    @ColumnInfo(name = "accessory_number")
    val accessoryNumber: String?,

    @ColumnInfo(name = "update_time")
    val updateTime: Long?,

    @ColumnInfo(name = "create_time")
    val createTime: Long?
)