package com.develop.food.base.repo.entity

import androidx.room.Entity
import androidx.room.PrimaryKey
import androidx.room.TypeConverters
import com.develop.food.base.utils.StringTypeConverter

@Entity(tableName = "user_online_recipes")
@TypeConverters(StringTypeConverter::class)
data class UserOnLineRecipes(
    var userId: Long,
    var onLineRecipesId: String, //网络菜谱id
    @PrimaryKey(autoGenerate = true)
    var id: Long = 0,
) {
}