package com.develop.food.base.api.response

data class DevInfoResult(
    val apkInfo: ApkInfo,
    val apkUpdate: Boolean,
    val apkUrl: String,
    val newRecipes: List<String>,
    val lockScreenAdss: List<LockScreenAds>,
    val recipeUpdateTime:Long
)

data class ApkInfo(
    val apk: Any,
    val apkCode: String,
    val apkEdition: Any,
    val applyTime: Long,
    val attachmentList: Any,
    val brandOwnerCity: Any,
    val brandOwnerCode: String,
    val brandOwnerCountry: Any,
    val brandOwnerCountryLabel: Any,
    val brandOwnerCountryName: Any,
    val brandOwnerName: Any,
    val brandOwnerNumber: Any,
    val brandOwnerProvince: Any,
    val brandProductCode: String,
    val code: String,
    val createTime: Long,
    val endTime: Any,
    val fileCode: String,
    val fileSize: Int,
    val id: Int,
    val ignoreCode: Any,
    val installCount: Any,
    val materialFileCode: String,
    val productCode: String,
    val productModel: String,
    val productName: Any,
    val productSubModel: String,
    val releaseStatus: String,
    val releaseTime: Any,
    val rollbackReason: Any,
    val rollbackTime: Any,
    val startTime: Any,
    val status: String,
    val subApkSize: Any,
    val subBrandCode: String,
    val subBrandName: Any,
    val subBrandNumber: String,
    val subBrandProductCode: Any,
    val subEdition: String,
    val testStatus: Any,
    val testTime: Any,
    val updateTime: Long,
    val valid: Int,
    val version: Int
)

data class LockScreenAds(
    val brandOwnerCode: Any,
    val brandOwnerNumber: Any,
    val code: String,
    val createTime: Long,
    val id: Int,
    val ignoreCode: Any,
    val number: String,
    val photo: String,
    val productSubModel: Any,
    val subBrandCode: Any,
    val subBrandNumber: Any,
    val subBrandProductCode: String,
    val updateTime: Long,
    val valid: Int,
    val version: Int
)