package com.develop.food.base.api.response

import com.develop.food.base.repo.entity.DevRecipe

data class RecipesListResult(
    val pager: Pager,
    val recipes: List<DevRecipe>
)

data class Pager(
    val beginIndex: Int,
    val btnList: List<Int>,
    val btnNum: Int,
    val first: Boolean,
    val itemCount: Int,
    val items: List<Any>,
    val last: Boolean,
    val onPage: Boolean,
    val pageCount: Int,
    val pageIndex: Int,
    val pageSize: Int
)