package com.develop.food.base.repo.entity

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

/**
 * AccessoryName
 * 配件名称
 * @author elber
 * @date 2022/6/15 11:21
 * @since 0.0.1
 */
@Entity(tableName = "cc_dev_accessory")
data class DevAccessory(

    @PrimaryKey
    @ColumnInfo
    var code: String,
    /**
     * 配件编码
     */
    @ColumnInfo
    val number: String?,

    /**
     * 语言编码
     */
    @ColumnInfo
    val lang: String?,

    /**
     * 名称
     */
    @ColumnInfo
    val name: String?,

    /**
     * 照片code
     */
    @ColumnInfo
    val photo: String?,

    /**
     * 照片路径
     */
    @ColumnInfo(name = "photo_path")
    val photoPath: String?,

    @ColumnInfo(name = "update_time")
    val updateTime: Long?,

    @ColumnInfo(name = "create_time")
    val createTime: Long?
)