package com.develop.food.base.repo.entity

import androidx.room.Entity
import androidx.room.PrimaryKey
import androidx.room.TypeConverters
import com.develop.food.base.utils.StringTypeConverter

@Entity(tableName = "user_favorite_recipes")
@TypeConverters(StringTypeConverter::class)
data class UserFavoriteRecipes(
    var userId: Long,
    var favoriteRecipesId: String, //喜欢的菜谱id
    @PrimaryKey(autoGenerate = true)
    var id: Long = 0,
) {
}