package com.develop.food.base.router

object Screens {

    object Auth {
        private const val SCHEMA = "/auth"
        const val MEMBER = "$SCHEMA/member"
    }

    object Setting {
        private const val SCHEMA = "/setting"
        const val ANIMATION = "$SCHEMA/animation"
        const val LANGUAGE = "$SCHEMA/language"
        const val POLICY = "$SCHEMA/policy"
        const val WIFI = "$SCHEMA/wifi"
        const val SCREEN_SAVER="$SCHEMA/screen_saver"
        const val MAIN_SETTING = "$SCHEMA/main_setting"
        const val BRIGHTNESS = "$SCHEMA/brightness"
        const val SOUND = "$SCHEMA/sound"
        const val ABOUT = "$SCHEMA/about"
        const val RESTORE = "$SCHEMA/restore"
        const val TUYA = "$SCHEMA/tuya"
    }

    object Main {
        private const val SCHEMA = "/main"
        const val ENTRANCE_CHOSEN = "$SCHEMA/entrance_chosen"
        const val HOME = "$SCHEMA/home"
        const val FOOD_LIST = "$SCHEMA/food_list"
    }

    object Cook {
        private const val SCHEMA = "/cook"
        const val COOK_STEP = "$SCHEMA/cook_step"
        const val COOK_MODES = "$SCHEMA/cook_modes"
        const val COOK_DETAIL = "${SCHEMA}/cook_detail"
        // todo temp
        const val COOK_STEP2 = "$SCHEMA/cook_step2"
        const val COOK_EVALUATE = "$SCHEMA/cook_evaluate"
    }
}